org.springframework.ldap.transaction.compensating

## Class BindOperationRecorder

- java.lang.Object
- - org.springframework.ldap.transaction.compensating.BindOperationRecorder

- All Implemented Interfaces:
    CompensatingTransactionOperationRecorder

      public class BindOperationRecorder
      extends Object
      implements CompensatingTransactionOperationRecorder

  A `CompensatingTransactionOperationRecorder` keeping track of bind operations. Creates `BindOperationExecutor` objects in `recordOperation(Object[])`.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindOperationRecorder(LdapOperations ldapOperations)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompensatingTransactionOperationExecutor` | `recordOperation(Object[] args)` Record information about the operation performed and return a corresponding `CompensatingTransactionOperationExecutor` to be used if the operation would need to be rolled back.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindOperationRecorder

          public BindOperationRecorder(LdapOperations ldapOperations)

      Constructor.
      Parameters:
        `ldapOperations` - `LdapOperations` to use for supplying to the corresponding rollback operation.

  - ### Method Detail

    - #### recordOperation

          public CompensatingTransactionOperationExecutor recordOperation(Object[] args)

      Description copied from interface: `CompensatingTransactionOperationRecorder`
      Record information about the operation performed and return a corresponding `CompensatingTransactionOperationExecutor` to be used if the operation would need to be rolled back.
      Specified by:
        `recordOperation` in interface `CompensatingTransactionOperationRecorder`
      Parameters:
        `args` - The arguments that have been sent to the operation.
      Returns:
        A `CompensatingTransactionOperationExecutor` to be used if the recorded operation should need to be rolled back.